  php8-fpm:
    container_name: ${COMPOSE_PROJECT_NAME:-default}-php8-fpm
    build:
      context: ./php8-fpm/
      args:
        LINUX_ROOT_PASSWORD: ${LINUX_ROOT_PASSWORD}
    working_dir: /var/www/content
    entrypoint: /usr/bin/env
    command: cmd_master.sh
    environment:
      - COMPOSE_PROJECT_NAME
      - MYSQL_ROOT_PASSWORD
      - SSH_AUTH_SOCK
    volumes:
      - ./volumes-common/file/etc/rsyslog.conf:/etc/rsyslog.conf
      - ./php8-fpm/volumes/file/etc/supervisor/conf.d/supervisord.conf:/etc/supervisor/conf.d/supervisord.conf
      - ./php8-fpm/volumes/file/root/.bash_history:/root/.bash_history
      - ./php8-fpm/volumes/file/usr/local/bin/cmd_master.sh:/usr/local/bin/cmd_master.sh
      - ./php8-fpm/volumes/file/usr/local/bin/service_reinitialize.sh:/usr/local/bin/service_reinitialize.sh
      - ./php8-fpm/volumes/file/usr/local/bin/service_start.sh:/usr/local/bin/service_start.sh

      - ./php8-fpm/volumes-shared/directory/.ssh/git/php8-fpm/:/root/.ssh/git/

      - ./volumes-common/file/usr/local/bin/wait_for_mariadb.sh:/usr/local/bin/wait_for_mariadb.sh
      - ./volumes-common/file/usr/local/bin/mysql:/usr/local/bin/mysql
      - ./volumes-common/file/usr/local/bin/mysqladmin:/usr/local/bin/mysqladmin
      - ./volumes-common/file/usr/local/bin/wait_for_mysql.sh:/usr/local/bin/wait_for_mysql.sh

      - ./php8-fpm/volumes/file/usr/local/bin/init_xdebug_envs.sh:/usr/local/bin/init_xdebug_envs.sh
      - ./php8-fpm/volumes/file/usr/local/bin/install_latest_composer.sh:/usr/local/bin/install_latest_composer.sh

      #- ${SSH_AUTH_SOCK}:/tmp/ssh-docker/agent.socket
      - ./volumes-common/directory/var/www/content/:/var/www/content/
      #- ./php8-fpm/volumes/directory/tmp/:/tmp/
      - ./php8-fpm/volumes/file/usr/local/etc/php/php.ini:/usr/local/etc/php/php.ini
      - ./php8-fpm/volumes/file/usr/local/etc/php/conf.d/xdebug.ini:/usr/local/etc/php/conf.d/xdebug.ini
      - ./php8-fpm/volumes/file/usr/local/etc/php-fpm.conf:/usr/local/etc/php-fpm.conf
      - ./php8-fpm/volumes/file/usr/local/etc/php-fpm.d/www.conf:/usr/local/etc/php-fpm.d/www.conf
      - ./php8-fpm/volumes/file/usr/local/etc/php-fpm.d/zz-docker.conf:/usr/local/etc/php-fpm.d/zz-docker.conf
      # Apps
      - ./apps/timeshit/php8-fpm/volumes/directory/var/www/content/timeshit/:/var/www/content/timeshit/
      #- ./apps/timeshit/php8-fpm/volumes/file/etc/cron.d/timeshit:/etc/cron.d/timeshit
      - ./apps/timeshit/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/timeshit.sh:/usr/local/bin/service_reinitializers/timeshit.sh

      - ./apps/online-marketing-assistant-bot/web/volumes-common/directory/var/www/content/online-marketing-assistant-bot/web/:/var/www/content/online-marketing-assistant-bot/web/
      - ./apps/online-marketing-assistant-bot/web/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/online-marketing-assistant-bot_web.sh:/usr/local/bin/service_reinitializers/online-marketing-assistant-bot_web.sh

      - ./apps/phpredisadmin/volumes-common/directory/var/www/content/phpredisadmin/:/var/www/content/phpredisadmin/

      - ./apps/phpmyadmin/volumes-common/directory/var/www/content/phpmyadmin/:/var/www/content/phpmyadmin/
      - ./apps/phpmyadmin/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/phpmyadmin.sh:/usr/local/bin/service_reinitializers/phpmyadmin.sh

      - ./apps/zend-framework3/volumes-common/directory/var/www/content/zend-framework3/:/var/www/content/zend-framework3/
      - ./apps/zend-framework3/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/zend-framework3.sh:/usr/local/bin/service_reinitializers/zend-framework3.sh

      - ./apps/zend-expressive3/volumes-common/directory/var/www/content/zend-expressive3/:/var/www/content/zend-expressive3/
      - ./apps/zend-expressive3/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/zend-expressive3.sh:/usr/local/bin/service_reinitializers/zend-expressive3.sh

      - ./apps/symfony4/volumes-common/directory/var/www/content/symfony4/:/var/www/content/symfony4/
      - ./apps/symfony4/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/symfony4.sh:/usr/local/bin/service_reinitializers/symfony4.sh

      - ./apps/laravel6/volumes-common/directory/var/www/content/laravel6/:/var/www/content/laravel6/
      - ./apps/laravel6/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/laravel6.sh:/usr/local/bin/service_reinitializers/laravel6.sh

      - ./apps/laravel6-voyager/volumes-common/directory/var/www/content/laravel6-voyager/:/var/www/content/laravel6-voyager/
      - ./apps/laravel6-voyager/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/laravel6-voyager.sh:/usr/local/bin/service_reinitializers/laravel6-voyager.sh

      - ./apps/joomla3/volumes-common/directory/var/www/content/joomla3/:/var/www/content/joomla3/
      - ./apps/joomla3/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/joomla3.sh:/usr/local/bin/service_reinitializers/joomla3.sh

      - ./apps/joomla4/volumes-common/directory/var/www/content/joomla4/:/var/www/content/joomla4/
      - ./apps/joomla4/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/joomla4.sh:/usr/local/bin/service_reinitializers/joomla4.sh

      - ./apps/wordpress5/volumes-common/directory/var/www/content/wordpress5/:/var/www/content/wordpress5/
      - ./apps/wordpress5/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/wordpress5.sh:/usr/local/bin/service_reinitializers/wordpress5.sh

      - ./apps/drupal8/volumes-common/directory/var/www/content/drupal8/:/var/www/content/drupal8/
      - ./apps/drupal8/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/drupal8.sh:/usr/local/bin/service_reinitializers/drupal8.sh

      - ./apps/magento2/volumes-common/directory/var/www/content/magento2/:/var/www/content/magento2/
      - ./apps/magento2/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/magento2.sh:/usr/local/bin/service_reinitializers/magento2.sh

      - ./apps/yii2/volumes-common/directory/var/www/content/yii2/:/var/www/content/yii2/
      - ./apps/yii2/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/yii2.sh:/usr/local/bin/service_reinitializers/yii2.sh

      - ./apps/cakephp3/volumes-common/directory/var/www/content/cakephp3/:/var/www/content/cakephp3/
      - ./apps/cakephp3/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/cakephp3.sh:/usr/local/bin/service_reinitializers/cakephp3.sh

      - ./apps/codeigniter4/volumes-common/directory/var/www/content/codeigniter4/:/var/www/content/codeigniter4/
      - ./apps/codeigniter4/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/codeigniter4.sh:/usr/local/bin/service_reinitializers/codeigniter4.sh

      - ./apps/mantisbt/volumes-common/directory/var/www/content/mantisbt/:/var/www/content/mantisbt/
      - ./apps/mantisbt/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/mantisbt.sh:/usr/local/bin/service_reinitializers/mantisbt.sh

      - ./apps/mediawiki/volumes-common/directory/var/www/content/mediawiki/:/var/www/content/mediawiki/
      - ./apps/mediawiki/php8-fpm/volumes/file/usr/local/bin/service_reinitializers/mediawiki.sh:/usr/local/bin/service_reinitializers/mediawiki.sh
    networks:
      savemetenminutes-default:
        ipv4_address: ${NETWORK_SUBNET_FIRST_AND_SECOND_OCTETS:-222.222}.${NETWORK_SUBNET_THIRD_OCTET:-222}.12
        aliases:
          - php8-fpm.${COMPOSE_PROJECT_NAME:-default}
    ports:
      - "12101:9001"
      - "12122:22"
      - "12190:9090"
    expose:
      - "9001"
      - "22"
      - "9090"
